Page MenuHomePhabricator

importDump options don't seem to match usage in the code
Closed, ResolvedPublic

Description

		$this->addOption( 'username-interwiki', 'Use interwiki usernames with this prefix', false, true );

I cannot find any usage of 'username-interwiki' other than in the constructor of BackupReader

I do however find username-prefix

		if ( $this->hasOption( 'username-prefix' ) ) {
			$importer->setUsernamePrefix(
				$this->getOption( 'username-prefix' ),
				!$this->hasOption( 'no-local-users' )
			);
		}

Event Timeline

Reedy created this task.Jul 21 2018, 10:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2018, 10:16 PM

Change 447462 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Fix option name in maintenance/importDump.php

https://gerrit.wikimedia.org/r/447462

Reedy closed this task as Resolved.Oct 3 2018, 6:45 PM
Reedy removed a project: Patch-For-Review.
Reedy reopened this task as Open.Oct 3 2018, 6:47 PM
Reedy added a project: Patch-For-Review.

This hasn't been merged yet

Change 447462 merged by jenkins-bot:
[mediawiki/core@master] Fix option name in maintenance/importDump.php

https://gerrit.wikimedia.org/r/447462

TTO closed this task as Resolved.Oct 4 2018, 1:41 AM
TTO added a subscriber: TTO.

Sorry for the bikeshedding and delay.